import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as u } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, v = Object.getOwnPropertyDescriptor, i = (c, t, s, o) => {
  for (var e = o > 1 ? void 0 : o ? v(t, s) : t, p = c.length - 1, n; p >= 0; p--)
    (n = c[p]) && (e = (o ? n(t, s, e) : n(e)) || e);
  return o && e && a(t, s, e), e;
};
let r = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--pound", this.class = "c-pieIcon c-pieIcon--pound", this.name = "IconPound";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--pound"><path d="M12.585 11.885c-.315 1.277-1.33 1.803-2.695 1.803H3.625v-1.47h1.12v-3.5h-1.12V7.353h1.12V5.83c0-2.327 1.295-3.727 3.692-3.727A3.911 3.911 0 0 1 11.5 3.328l-1.05 1.067a2.625 2.625 0 0 0-2.012-.822c-1.278 0-2.048.647-2.048 2.187v1.593h3.587v1.365H6.39v3.5h3.5a1.18 1.18 0 0 0 1.277-.823l1.418.49Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = i([
  u("icon-pound")
], r);
export {
  r as IconPound
};
